Skip to main content
`Ctrl`+`K`

# BVGetNumConstraints

Returns the number of constraints.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetNumConstraints(BV bv,PetscInt *nc)

Not Collective

## Input Parameter

- bv - the basis vectors

## Output Parameter

- nc - the number of constraints

## See Also

BV: Basis Vectors, `BVGetSizes()`, `BVInsertConstraints()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages